﻿nopCommerce: free and open-source eCommerce solution[![Build Status](https://travis-ci.com/nopSolutions/nopCommerce.svg?branch=develop)](https://travis-ci.com/nopSolutions/nopCommerce)
===========

[nopCommerce](https://www.nopcommerce.com/) is the best open-source eCommerce shopping cart solution. nopCommerce is free, and it is the most popular ASP.NET eCommerce platform.

![nopCommerce demo](https://www.nopcommerce.com/images/github/responsive_devices_codeplex.jpg)

The product is being developed and supported by the professional team since 2008.

nopCommerce has been downloaded more than 3,000,000 times.

The active developer community has more than 250,000 members.

nopCommerce runs on .NET Core 3.1 with an MS SQL 2012 (or higher) backend database.

nopCommerce is cross-platform, and you can run it on Windows, Linux, or Mac.

nopCommerce supports Docker and MySQL out of the box, so you can easily run nopCommerce on a Linux machine.

![Logo](https://www.nopcommerce.com/images/github/logos.png)

nopCommerce architecture follows well-known software patterns and the best security practices. The source code is fully customizable. Pluggable and clear architecture makes it easy to develop custom functionality and follow any business requirements.

Using the latest Microsoft technologies, nopCommerce provides high performance, stability, and security. nopCommerce is also fully compatible with Azure and web farms.

Clear and detailed [documentation for developers](https://docs.nopcommerce.com/developer/index.html) will help you start with nopCommerce easily.


### The advantages of working with nopCommerce ###

nopCommerce offers powerful [out-of-the-box features](https://www.nopcommerce.com/features?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=features) for creating an online store of any size and type.

nopCommerce is integrated with all the popular third-party services. You can find thousands of integrations on nopCommerce [Marketplace](https://www.nopcommerce.com/marketplace?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=marketplace).

Friendly members of the [nopCommerce community](https://www.nopcommerce.com/boards?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=forum) will always help with advice and share their experiences. nopCommerce core development team provides [professional support](https://www.nopcommerce.com/nopcommerce-premium-support-services?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=support) within 24 hours.


## Store demo ##

Evaluate the functionality and convenience of nopCommerce as a customer and store owner.

Front End | Admin area
----|------
[![ScreenShot](https://www.nopcommerce.com/images/github/public-demo.png)](https://demo.nopcommerce.com/) | [![ScreenShot](https://www.nopcommerce.com/images/github/admin-demo.png)](https://admin-demo.nopcommerce.com/admin/)


### nopCommerce resources ###

nopCommerce official site: [https://www.nopcommerce.com](https://www.nopcommerce.com)

* [Demo store](https://www.nopcommerce.com/demo)
* [Download nopCommerce](https://www.nopcommerce.com/download-nopcommerce?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=download)
* [Feature list](https://www.nopcommerce.com/features?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=features)
* [nopCommerce documentation](https://docs.nopcommerce.com/)
* [Community forums](https://www.nopcommerce.com/boards?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=forum)
* [Premium support services](https://www.nopcommerce.com/nopcommerce-premium-support-services?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=support)
* [Certified developer program](https://www.nopcommerce.com/certified-developer-program?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=certified)
* [nopCommerce partners](https://www.nopcommerce.com/partners?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=partners)

nopCommerce YouTube: [The Architecture behind the nopCommerce eCommerce Platform](https://www.youtube.com/watch?v=6gLbizzSA9o&list=PLnL_aDfmRHwtJmzeA7SxrpH3-XDY2ue0a)


### Earn with nopCommerce ###

60,000 stores worldwide are powered by nopCommerce, and 10,000 new stores open every year. nopCommerce [solution partners’ directory](https://www.nopcommerce.com/solution-partners?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=solution_partners) gets 80,000+ page views per year from store owners who are looking for a partner to build a store from scratch, migrate from another platform, or improve and customize an existing store.

Become a solution partner of nopCommerce and get new clients – [learn more](https://www.nopcommerce.com/become-partner?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=become-partner).

Create a new graphical theme or develop a new plugin or integration and sell it on the nopCommerce [Marketplace](https://www.nopcommerce.com/marketplace?utm_source=github&utm_medium=content&utm_campaign=github&utm_content=marketplace).


### Contribute ###

As a free and open-source project, we are very grateful to everyone who helps us to develop nopCommerce. Please find more details about the options and bonuses for contributors at [https://www.nopcommerce.com/contribute](https://www.nopcommerce.com/contribute).