﻿namespace Nop.Services.Messages
{
    /// <summary>
    /// Represents token group names
    /// </summary>
    public static partial class TokenGroupNames
    {
        /// <summary>
        /// Represents tokens with information about the store
        /// </summary>
        public const string StoreTokens = "Store tokens";

        /// <summary>
        /// Represents tokens with information about the customer
        /// </summary>
        public const string CustomerTokens = "Customer tokens";

        /// <summary>
        /// Represents tokens with information about the order
        /// </summary>
        public const string OrderTokens = "Order tokens";

        /// <summary>
        /// Represents tokens with information about the shipment
        /// </summary>
        public const string ShipmentTokens = "Shipment tokens";

        /// <summary>
        /// Represents tokens with information about the refunded order
        /// </summary>
        public const string RefundedOrderTokens = "Refunded order  tokens";

        /// <summary>
        /// Represents tokens with information about the order note
        /// </summary>
        public const string OrderNoteTokens = "Order note tokens";

        /// <summary>
        /// Represents tokens with information about the recurring payment
        /// </summary>
        public const string RecurringPaymentTokens = "Recurring payment tokens";

        /// <summary>
        /// Represents tokens with information about the newsletter subscription
        /// </summary>
        public const string SubscriptionTokens = "Newsletter subscription tokens";

        /// <summary>
        /// Represents tokens with information about the product
        /// </summary>
        public const string ProductTokens = "Product tokens";

        /// <summary>
        /// Represents tokens with information about the return request
        /// </summary>
        public const string ReturnRequestTokens = "Return request tokens";

        /// <summary>
        /// Represents tokens with information about the forum
        /// </summary>
        public const string ForumTokens = "Forum tokens";

        /// <summary>
        /// Represents tokens with information about the forum topic
        /// </summary>
        public const string ForumTopicTokens = "Forum topic tokens";

        /// <summary>
        /// Represents tokens with information about the forum post
        /// </summary>
        public const string ForumPostTokens = "Forum post tokens";

        /// <summary>
        /// Represents tokens with information about the private message
        /// </summary>
        public const string PrivateMessageTokens = "Private message tokens";

        /// <summary>
        /// Represents tokens with information about the vendor
        /// </summary>
        public const string VendorTokens = "Vendor tokens";

        /// <summary>
        /// Represents tokens with information about the gift card
        /// </summary>
        public const string GiftCardTokens = "Gift card tokens";

        /// <summary>
        /// Represents tokens with information about the product review
        /// </summary>
        public const string ProductReviewTokens = "Product review tokens";

        /// <summary>
        /// Represents tokens with information about the attribute combination 
        /// </summary>
        public const string AttributeCombinationTokens = "Attribute combination tokens";

        /// <summary>
        /// Represents tokens with information about the blog comment 
        /// </summary>
        public const string BlogCommentTokens = "Blog comment tokens";

        /// <summary>
        /// Represents tokens with information about the news comment 
        /// </summary>
        public const string NewsCommentTokens = "News comment tokens";

        /// <summary>
        /// Represents tokens with information that product is in stock
        /// </summary>
        public const string ProductBackInStockTokens = "Back in stock tokens";

        /// <summary>
        /// Represents tokens with information about the sending email to friend 
        /// </summary>
        public const string EmailAFriendTokens = "Email a friend tokens";

        /// <summary>
        /// Represents tokens with information about the sending wishlist to a friend
        /// </summary>
        public const string WishlistToFriendTokens = "Wishlist to friend tokens";

        /// <summary>
        /// Represents tokens with information about validation of the VAT request
        /// </summary>
        public const string VatValidation = "VAT validation tokens";

        /// <summary>
        /// Represents tokens with information about contact us
        /// </summary>
        public const string ContactUs = "Contact us tokens";

        /// <summary>
        /// Represents tokens with information about contact vendor
        /// </summary>
        public const string ContactVendor = "Contact vendor tokens";
    }
}